slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPGetTolerances

Gets the tolerance and maximum iteration count used by the PEP convergence tests.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPGetTolerances(PEP pep,PetscReal *tol,PetscInt *maxits)

Not Collective

### Input Parameter

| pep | - the polynomial eigensolver context

### Output Parameters

| tol | - the convergence tolerance
| maxits | - maximum number of iterations

### Notes

The user can specify NULL for any parameter that is not needed.

### See Also

PEPSetTolerances()

### Level

intermediate

### Location

src/pep/interface/pepopts.c

### Examples

src/pep/tutorials/ex17.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages